//netSend.cpp




#include "Application.h"
#include "Window.h"
#include "CommandButton.h"
#include "Rect.h"
#include "TextControl.h"

using namespace VCF;


class NetSendApp : public Application {
public:
	virtual ~NetSendApp(){};
	
	virtual bool initRunningApplication() {
		bool result = Application::initRunningApplication();
		Window* wnd = new Window();
		wnd->setHeight( 400 );
		wnd->setWidth( 400 );

		CommandButton* sendBtn = new CommandButton();
		Rect bounds;
		bounds.setRect(100,200,180,225);
		sendBtn->setBounds( &bounds );
		sendBtn->setCaption( "Send" );
		wnd->add( sendBtn );
		
		TextControl* tc = new TextControl();
		tc->setBounds( &Rect(25, 50, 125, 72) );
		wnd->add( tc );
		this->setMainWindow( wnd );

		return result;
	}
};

int main( int argc, char** argv ){

	NetSendApp app;
	

	Application::appMain( argc, argv );

	return 0;
}