// SimpleDragDropImplementer.h: interface for the SimpleDragDropImplementer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _SIMPLEDRAGDROPIMPLEMENTER_H__
#define _SIMPLEDRAGDROPIMPLEMENTER_H__


#include "COMDragSource.h"
#include "DragSource.h"
#include "DragDropImplementer.h"
#include "ClipboardDataObject.h"

namespace VCF{


class SimpleDragDropImplementer : public DragDropImplementer, public Object 
{
public:
	SimpleDragDropImplementer();
	virtual ~SimpleDragDropImplementer();

	virtual void startDragDrop( VCF::ClipboardDataObject* data );
	virtual VCF::DragSource* getDragSource();
	virtual void setDragSource( VCF::DragSource*  dragSource );
private:
	VCF::DragSource* m_dragSource;	
	VCFCOM::DragSource* m_COMDragSource;
	DWORD translateActionType( VCF::DragActionType action );
};

};

#endif 
