/**
*Visual Component Framework for C++
*
*Copyright  2000 Jim Crafton
*
*This program is free software; you can redistribute it and/or
*modify it under the terms of the GNU General Public License
*as published by the Free Software Foundation; either version 2
*of the License, or (at your option) any later version.
*
*This program is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*GNU General Public License for more details.
*
*You should have received a copy of the GNU General Public License
*along with this program; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*
*Contact Jim Crafton at ddiego@one.net for more information about the 
*Visual Component Framework
*/ 

#ifndef _FILEUTILS_H__
#define _FILEUTILS_H__

#include "VCF.h"
#include "VCFString.h"

namespace VCF {

class FRAMEWORK_API FileUtils {

public:
	FileUtils();

	virtual ~FileUtils();

	/**
	*returns true if the file specified in the fileName
	*parameter exists on the system. fileName should
	*be a fully qualified file name
	*/
	static bool fileExists( const String& fileName );
};

}; //end of namespace VCF

#endif //_FILEUTILS_H__