//SocketPeer.h

#ifndef _SOCKET_PEER_H__
#define _SOCKET_PEER_H__

#include "VCF.h"

namespace VCFNet
{

class Socket;

class NETKIT_API SocketPeer {
public :
	virtual ~SocketPeer(){};

	virtual int getPort() = 0;

	virtual void setPort( const int& port ) = 0;

	virtual VCF::String getHost() = 0;

	virtual void setHost( const VCF::String& host ) = 0;	

	virtual int send( const char* bytes, const VCF::uint32& size ) = 0;

	virtual int receive( char* data, VCF::uint32 &size ) = 0;

	virtual long startAsServer( VCF::ushort port ) = 0;

	virtual long connectTo( const VCF::String& hostName, const VCF::ushort port ) = 0;
};

};



#endif //_SOCKET_PEER_H__