/**
*Visual Component Framework for C++
*
*Copyright  2000 Jim Crafton
*
*This program is free software; you can redistribute it and/or
*modify it under the terms of the GNU General Public License
*as published by the Free Software Foundation; either version 2
*of the License, or (at your option) any later version.
*
*This program is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*GNU General Public License for more details.
*
*You should have received a copy of the GNU General Public License
*along with this program; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*
*Contact Jim Crafton at ddiego@one.net for more information about the 
*Visual Component Framework
*/ 

// Win32Thread.cpp


#include "Win32Thread.h"

using namespace VCF;


// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// Thread
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/


Win32Thread::Win32Thread( )
{
	assert(0);
}

Win32Thread::~Win32Thread( )
{
	assert(0);
}

bool
Win32Thread::start( )
{
	assert(0);
	return false;
}

bool
Win32Thread::stop( int32 waitMillisec, bool forcekill, uint32 * pThreadExitCode )
{
	assert(0);
	return false;
}

void
Win32Thread::sleep( uint32 msec )
{
	assert(0);
}

bool
Win32Thread::checkForStop( )
{
	assert(0);
	return false;
}





// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// Thread Mutex
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/


Win32ThreadMutex::Win32ThreadMutex( )
{
	assert(0);
}

Win32ThreadMutex:: ~Win32ThreadMutex()
{
	assert(0);
}

ThreadMutexAcquire
Win32ThreadMutex::acquire( int32 msec, bool* pStopNow )
{
	assert(0);
	return ACQUIRED_ERROR;
}

bool
Win32ThreadMutex::release()
{
	assert(0);
	return false;
}




// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// Thread Signal
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
// \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/


Win32ThreadSignal::Win32ThreadSignal()
{
	assert(0);
}

Win32ThreadSignal:: ~Win32ThreadSignal()
{
	assert(0);
}

bool
Win32ThreadSignal::setSignalState( bool signalState )
{
	assert(0);
	return false;
}


ThreadSignalState
Win32ThreadSignal::waitOnSignalState( bool desiredState, int32 msec, bool* pStopNow )
{
	assert(0);
	return SIGNALSTATE_ERROR;
}
