//NewProjectDlg.h

#ifndef _NEWPROJECTDLG_H__
#define _NEWPROJECTDLG_H__

#include "VCF.h"
#include "Label.h"
#include "TextControl.h"
#include "CommandButton.h"
#include "Dialog.h"

using namespace VCF;

#define NEWPROJECTDIALOG_CLASSID ""

class NewProjectDlg : public VCF::Dialog{
public:

	BEGIN_CLASSINFO(NewProjectDlg, "NewProjectDlg", "VCF::Dialog", NEWPROJECTDIALOG_CLASSID )	
	END_CLASSINFO(NewProjectDlg)


	NewProjectDlg();

	virtual ~NewProjectDlg();

/**
*vcfInit() is used by VCF Builder to initialize variables
*and linkup listener objects.
*/
	void vcfInit();


	VCF::String getProjDir();

	VCF::String getProjName();

	void onBrowseForDirClicked( ButtonEvent* event );

protected:
	VCF::Label* Label1;
	VCF::TextControl* projectName;
	VCF::Label* Label2;
	VCF::TextControl* TextControl1;
	VCF::CommandButton* browseForProjDir;
	VCF::CommandButton* CommandButton1;
	VCF::CommandButton* CommandButton2;
};


#endif // _NEWPROJECTDLG_H__
