//ProjectContents.h

#ifndef _PROJECTCONTENTS_H__
#define _PROJECTCONTENTS_H__

#include "VCF.h"
#include "Window.h"
#include "Panel.h"
#include "TreeControl.h"	
#include "VCFProject.h"

using namespace VCF;

#define PROJECTCONTENTS_CLASSID		"2697B045-09CA-47BF-A962-FE69B67686F9"

class ProjectContents : public Window{
public:
	BEGIN_CLASSINFO(ProjectContents, "ProjectContents", "VCF::Window", PROJECTCONTENTS_CLASSID )
	END_CLASSINFO(ProjectContents)

	ProjectContents();

	virtual ~ProjectContents();

	/**
	*vcfInit() is used by VCF Builder to initialize variables
	*and linkup listener objects.
	*/
	void vcfInit();

	void ProjectContents_onComponentCreated( VCF::ComponentEvent* event );

	void setCurrentProject( VCFProject* project );
protected:

	VCF::Panel* m_statBar;

	VCF::TreeControl* m_projectTree;
};


#endif // _PROJECTCONTENTS_H__
 