/**
*Visual Component Framework for C++
*
*Copyright  2000 Jim Crafton
*
*This program is free software; you can redistribute it and/or
*modify it under the terms of the GNU General Public License
*as published by the Free Software Foundation; either version 2
*of the License, or (at your option) any later version.
*
*This program is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*GNU General Public License for more details.
*
*You should have received a copy of the GNU General Public License
*along with this program; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*
*Contact Jim Crafton at ddiego@one.net for more information about the 
*Visual Component Framework
*/ 

#ifndef _OPENGLCONTROL_H__
#define _OPENGLCONTROL_H__

#include "CustomControl.h"

namespace VCF {

#define OPENGLCONTROL_CLASSID	"5389AAA2-8295-11d4-8F37-00207811CFAB"

class APPKIT_API OpenGLControl : public VCF::CustomControl{
public:
	BEGIN_CLASSINFO(OpenGLControl, "VCF::OpenGLControl", "VCF::CustomControl", OPENGLCONTROL_CLASSID )
	END_CLASSINFO(OpenGLControl)

	OpenGLControl();	

	virtual ~OpenGLControl();

	virtual void paint(GraphicsContext * context);

	virtual void afterCreate( ComponentEvent* event );
};

}; //end of namespace VCF

#endif //_OPENGLCONTROL_H__