//

//InvalidPeer.h

#ifndef INVALID_PEER_H__
#define INVALID_PEER_H__

#include "BasicException.h"

namespace VCF
{

class InvalidPeer : public BasicException{
public:

	InvalidPeer( const VCF::String & message ):
	  VCF::BasicException( message ){};

	InvalidPeer():
		VCF::BasicException( NO_PEER ){};

	InvalidPeer( const VCF::String & message, const int lineNumber ):
		VCF::BasicException(message, lineNumber){};

	virtual ~InvalidPeer(){};
};


};


#endif