//SimpleDropTargetImplementer.h

#ifndef _SIMPLEDROPTARGETIMPLEMENTER_H__
#define _SIMPLEDROPTARGETIMPLEMENTER_H__

#include "Object.h"
#include "DropTargetImplementer.h"
#include "COMDropTarget.h"

namespace ImprovUI{

class SimpleDropTargetImplementer : public DropTargetImplementer, public Object  
{
public:
	SimpleDropTargetImplementer();
	virtual ~SimpleDropTargetImplementer();

	virtual void registerTarget( Control* component );
	virtual void unregisterTarget( Control* component );
	
	virtual DropTarget* getDropTarget();
	virtual void setDropTarget( DropTarget* dropTarget );

private:
	DropTarget* m_dropTarget;
	ImprovCOM::DropTarget* m_comDropTarget;
};


};

#endif 
