// NetToolkit.h

#ifndef _NETTOOLKIT_H__
#define _NETTOOLKIT_H__

#include "Object.h"

namespace VCFNet
{

class SocketPeer;

class NETKIT_API NetToolkit : public VCF::Object  
{
public:
	NetToolkit();
	virtual ~NetToolkit();
	
	static NetToolkit* getDefaultNetToolkit();

	virtual SocketPeer* createSocketPeer();

	virtual SocketPeer* createSocketPeer( const VCF::String& host, const int& port );
protected:
	static NetToolkit netToolkitInstance;
};


};

#endif
